20 Mar '17, 12am

ruby: ActionCable 5.1.0-beta1 throws uncaught referenced error upon import in Webpacker · Issue #28428 ·…

Using rails 5.1.0-beta1, run yarn add [email protected]1.0-beta to get actioncable in your application to be 5.1.0-beta1. Create a file in frontend/javascripts that will be loaded by webpacker that imports actioncable as such import * as ActionCable from 'actioncable' (this is typescript syntax) Expected behavior ActionCable should be loaded normally and no problem should occur as was the case in previous versions of ActionCable Actual behavior An uncaught referenced error is thrown Uncaught ReferenceError: ActionCable is not defined on line 61 of node_modules/actioncable/lib/assets/compiled/action_cable.js. The line itself is (with further context is) ActionCable .ConnectionMonitor = (function () { var clamp, now, secondsSince; ConnectionMonitor .pollInterval = { min: 3 , max: 30 }; System configuration Rails version : 5.1.0.beta1 Ruby version : ruby 2.4.0p0 (2016-12-24 revi...

Full article: https://github.com/rails/rails/issues/28428

Tweets

Ruby on Rails 5.1 Release Notes — Ruby on Rails...

edgeguides.rubyonrails.org 22 Mar '17, 6am

Active Record Basics Active Record Migrations Active Record Validations Active Record Callbacks Active Record Associations...

ActionCable: The Missing Guide - Ruby ActionCab...

webcodegeeks.com 30 Mar '17, 9am

ActionCable was introduced to Rails as of version 5. It allows you to create pub/sub WebSocket connections in your Rails a...